#!/bin/sh

# User-controllable options
grub_modinfo_target_cpu=riscv64
grub_modinfo_platform=efi
grub_disk_cache_stats=0
grub_boot_time_stats=0
grub_have_font_source=1

# Autodetected config
grub_have_asm_uscore=0
grub_bss_start_symbol=""
grub_end_symbol=""

# Build environment
grub_target_cc='gcc -fPIE -Wl,-z,noexecstack'
grub_target_cc_version='gcc_old (GCC) 12.3.1 (openEuler 12.3.1-31.oe2403)'
grub_target_cflags='-std=gnu99 -fno-common -fno-strict-aliasing -g3 -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_GLIBCXX_ASSERTIONS -fstack-clash-protection -fsigned-char -I/root/rpmbuild/BUILD/grub-2.12/grub-riscv64-efi-2.12 -fno-stack-protector -Wall -W -Wshadow -Wpointer-arith -Wundef -Wchar-subscripts -Wcomment -Wdeprecated-declarations -Wdisabled-optimization -Wdiv-by-zero -Wfloat-equal -Wformat-extra-args -Wformat-security -Wformat-y2k -Wimplicit -Wimplicit-function-declaration -Wimplicit-int -Wmain -Wmissing-braces -Wmissing-format-attribute -Wmultichar -Wparentheses -Wreturn-type -Wsequence-point -Wshadow -Wsign-compare -Wswitch -Wtrigraphs -Wunknown-pragmas -Wunused -Wunused-function -Wunused-label -Wunused-parameter -Wunused-value  -Wunused-variable -Wwrite-strings -Wnested-externs -Wstrict-prototypes -g -Wredundant-decls -Wmissing-prototypes -Wmissing-declarations -Wcast-align  -Wextra -Wattributes -Wendif-labels -Winit-self -Wint-to-pointer-cast -Winvalid-pch -Wmissing-field-initializers -Wnonnull -Woverflow -Wvla -Wpointer-to-int-cast -Wstrict-aliasing -Wvariadic-macros -Wvolatile-register-var -Wpointer-sign -Wmissing-include-dirs -Wmissing-prototypes -Wmissing-declarations -Wformat=2 -freg-struct-return -march=rv64imac_zicsr_zifencei -mabi=lp64 -fno-omit-frame-pointer -fno-dwarf2-cfi-asm -fno-asynchronous-unwind-tables -fno-unwind-tables -fno-ident -mcmodel=medany -fno-PIE -fno-pie -fno-stack-protector -Wtrampolines'
grub_target_cppflags=' -I/root/rpmbuild/BUILD/grub-2.12/grub-riscv64-efi-2.12 -Wall -W  -DGRUB_MACHINE_EFI=1 -DGRUB_MACHINE=RISCV64_EFI -nostdinc -isystem /usr/lib/gcc/riscv64-openEuler-linux/12/include -I$(top_srcdir)/include -I$(top_builddir)/include'
grub_target_ccasflags=' -g  -march=rv64imac_zicsr_zifencei -mabi=lp64 -fno-PIE -fno-pie'
grub_target_ldflags='-Wl,-z,relro -Wl,--as-needed -static -no-pie -Wl,--build-id=none'
grub_cflags='-fno-strict-aliasing -fno-inline-functions-called-once '
grub_cppflags=' -D_FILE_OFFSET_BITS=64'
grub_ccasflags='-fno-strict-aliasing -fno-inline-functions-called-once '
grub_ldflags='-Wl,-z,relro -Wl,--as-needed  '
grub_target_strip='strip'
grub_target_nm='nm'
grub_target_ranlib='ranlib'
grub_target_objconf=''
grub_target_obj2elf=''
grub_target_img_base_ldopt='-Wl,-Ttext'
grub_target_img_ldflags='@TARGET_IMG_BASE_LDFLAGS@'

# Version
grub_version="2.12"
grub_package="grub"
grub_package_string="GRUB 2.12"
grub_package_version="2.12"
grub_package_name="GRUB"
grub_package_bugreport="bug-grub@gnu.org"
